Convert To Decreased Bit Depth
Convert Bit Depth

The integer conversion methods do not involve any scaling. More...

## Functions

NppStatus | nppiConvert_16u8u_C1R (const Npp16u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Single channel 16-bit unsigned to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_16u8u_C3R (const Npp16u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Three channel 16-bit unsigned to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_16u8u_C4R (const Npp16u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four channel 16-bit unsigned to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_16u8u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four channel 16-bit unsigned to 8-bit unsigned conversion, not affecting Alpha. More...
NppStatus | nppiConvert_16s8u_C1R (const Npp16s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Single channel 16-bit signed to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_16s8u_C3R (const Npp16s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Three channel 16-bit signed to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_16s8u_C4R (const Npp16s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four channel 16-bit signed to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_16s8u_AC4R (const Npp16s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four channel 16-bit signed to 8-bit unsigned conversion, not affecting Alpha. More...
NppStatus | nppiConvert_32s8u_C1R (const Npp32s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Single channel 32-bit signed to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_32s8u_C3R (const Npp32s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Three channel 32-bit signed to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_32s8u_C4R (const Npp32s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four channel 32-bit signed to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_32s8u_AC4R (const Npp32s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four channel 32-bit signed to 8-bit unsigned conversion, not affecting Alpha. More...
NppStatus | nppiConvert_32s8s_C1R (const Npp32s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
| Single channel 32-bit signed to 8-bit signed conversion. More...
NppStatus | nppiConvert_32s8s_C3R (const Npp32s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
| Three channel 32-bit signed to 8-bit signed conversion. More...
NppStatus | nppiConvert_32s8s_C4R (const Npp32s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
| Four channel 32-bit signed to 8-bit signed conversion. More...
NppStatus | nppiConvert_32s8s_AC4R (const Npp32s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
| Four channel 32-bit signed to 8-bit signed conversion, not affecting Alpha. More...
NppStatus | nppiConvert_8u8s_C1RSfs (const Npp8u *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 8-bit unsigned to 8-bit signed conversion. More...
NppStatus | nppiConvert_16u8s_C1RSfs (const Npp16u *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 16-bit unsigned to 8-bit signed conversion. More...
NppStatus | nppiConvert_16s8s_C1RSfs (const Npp16s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 16-bit signed to 8-bit signed conversion. More...
NppStatus | nppiConvert_16u16s_C1RSfs (const Npp16u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 16-bit unsigned to 16-bit signed conversion. More...
NppStatus | nppiConvert_32u8u_C1RSfs (const Npp32u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit unsigned to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_32u8s_C1RSfs (const Npp32u *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit unsigned to 8-bit signed conversion. More...
NppStatus | nppiConvert_32u16u_C1RSfs (const Npp32u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit unsigned to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_32u16s_C1RSfs (const Npp32u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit unsigned to 16-bit signed conversion. More...
NppStatus | nppiConvert_32u32s_C1RSfs (const Npp32u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit unsigned to 32-bit signed conversion. More...
NppStatus | nppiConvert_32s16u_C1RSfs (const Npp32s *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit unsigned to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_32s16s_C1RSfs (const Npp32s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit unsigned to 16-bit signed conversion. More...
NppStatus | nppiConvert_32f8u_C1R (const Npp32f *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Single channel 32-bit floating point to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_32f8u_C3R (const Npp32f *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Three channel 32-bit floating point to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_32f8u_C4R (const Npp32f *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Four channel 32-bit floating point to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_32f8u_AC4R (const Npp32f *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Four channel 32-bit floating point to 8-bit unsigned conversion, not affecting Alpha. More...
NppStatus | nppiConvert_32f8s_C1R (const Npp32f *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Single channel 32-bit floating point to 8-bit signed conversion. More...
NppStatus | nppiConvert_32f8s_C3R (const Npp32f *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Three channel 32-bit floating point to 8-bit signed conversion. More...
NppStatus | nppiConvert_32f8s_C4R (const Npp32f *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Four channel 32-bit floating point to 8-bit signed conversion. More...
NppStatus | nppiConvert_32f8s_AC4R (const Npp32f *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Four channel 32-bit floating point to 8-bit signed conversion, not affecting Alpha. More...
NppStatus | nppiConvert_32f16u_C1R (const Npp32f *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Single channel 32-bit floating point to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_32f16u_C3R (const Npp32f *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Three channel 32-bit floating point to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_32f16u_C4R (const Npp32f *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Four channel 32-bit floating point to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_32f16u_AC4R (const Npp32f *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Four channel 32-bit floating point to 16-bit unsigned conversion, not affecting Alpha. More...
NppStatus | nppiConvert_32f16s_C1R (const Npp32f *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Single channel 32-bit floating point to 16-bit signed conversion. More...
NppStatus | nppiConvert_32f16s_C3R (const Npp32f *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Three channel 32-bit floating point to 16-bit signed conversion. More...
NppStatus | nppiConvert_32f16s_C4R (const Npp32f *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Four channel 32-bit floating point to 16-bit signed conversion. More...
NppStatus | nppiConvert_32f16s_AC4R (const Npp32f *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode)
| Four channel 32-bit floating point to 16-bit signed conversion. More...
NppStatus | nppiConvert_32f8u_C1RSfs (const Npp32f *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit floating point to 8-bit unsigned conversion. More...
NppStatus | nppiConvert_32f8s_C1RSfs (const Npp32f *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit floating point to 8-bit signed conversion. More...
NppStatus | nppiConvert_32f16u_C1RSfs (const Npp32f *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit floating point to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_32f16s_C1RSfs (const Npp32f *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit floating point to 16-bit signed conversion. More...
NppStatus | nppiConvert_32f32u_C1RSfs (const Npp32f *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit floating point to 32-bit unsigned conversion. More...
NppStatus | nppiConvert_32f32s_C1RSfs (const Npp32f *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode eRoundMode, int nScaleFactor)
| Single channel 32-bit floating point to 32-bit signed conversion. More...

## Detailed Description

The integer conversion methods do not involve any scaling.

When converting floating-point values to integers the user may choose the most appropriate rounding-mode. Typically information is lost when converting to lower bit depth:

- All converted values are saturated to the destination type's range. E.g. any values larger than the largest value of the destination type are clamped to the destination's maximum.
- Converting floating-point values to integer also involves rounding, effectively loosing all fractional value information in the process.

### Common parameters for nppiConvert to decreased bit depth functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eRoundMode | Rounding Mode Parameter.
  nScaleFactor | Integer Result Scaling.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiConvert_16s8s_C1RSfs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 16-bit signed to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16s8u_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 16-bit signed to 8-bit unsigned conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16s8u_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 16-bit signed to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16s8u_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 16-bit signed to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16s8u_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 16-bit signed to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16u16s_C1RSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 16-bit unsigned to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16u8s_C1RSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 16-bit unsigned to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16u8u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 16-bit unsigned to 8-bit unsigned conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16u8u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 16-bit unsigned to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16u8u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 16-bit unsigned to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_16u8u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 16-bit unsigned to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16s_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Four channel 32-bit floating point to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16s_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Single channel 32-bit floating point to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16s_C1RSfs | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit floating point to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16s_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Three channel 32-bit floating point to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16s_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Four channel 32-bit floating point to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16u_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Four channel 32-bit floating point to 16-bit unsigned conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16u_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Single channel 32-bit floating point to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16u_C1RSfs | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit floating point to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16u_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Three channel 32-bit floating point to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f16u_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Four channel 32-bit floating point to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f32s_C1RSfs | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit floating point to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f32u_C1RSfs | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit floating point to 32-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8s_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Four channel 32-bit floating point to 8-bit signed conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8s_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Single channel 32-bit floating point to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8s_C1RSfs | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit floating point to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8s_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Three channel 32-bit floating point to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8s_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Four channel 32-bit floating point to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8u_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Four channel 32-bit floating point to 8-bit unsigned conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8u_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Single channel 32-bit floating point to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8u_C1RSfs | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit floating point to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8u_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Three channel 32-bit floating point to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32f8u_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode
| ) |  |

Four channel 32-bit floating point to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s16s_C1RSfs | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit unsigned to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s16u_C1RSfs | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit unsigned to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s8s_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 32-bit signed to 8-bit signed conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s8s_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 32-bit signed to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s8s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 32-bit signed to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s8s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 32-bit signed to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s8u_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 32-bit signed to 8-bit unsigned conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s8u_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 32-bit signed to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s8u_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 32-bit signed to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32s8u_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 32-bit signed to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32u16s_C1RSfs | ( | const Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit unsigned to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32u16u_C1RSfs | ( | const Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit unsigned to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32u32s_C1RSfs | ( | const Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit unsigned to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32u8s_C1RSfs | ( | const Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit unsigned to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_32u8u_C1RSfs | ( | const Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 32-bit unsigned to 8-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

NppStatus nppiConvert_8u8s_C1RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

Single channel 8-bit unsigned to 8-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to decreased bit depth functions.

Copyright © 2009-2017 NVIDIA Corporation